<script>
    // import { layouts } from './LayoutStore.js';
    let titles = [{title: 'lorem',
                    ymin: 0,
                    ymax: 1,
                    height: 100}];
    let formVisible = false;
    let title = 'Title';
    let ymin = 0;
    let ymax = 1;
    let height = 100;

    function addTitle() {
        titles = [...titles,
                  {'title': title,
                   'ymin': ymin,
                   'ymax': ymax,
                  }];
        formVisible = false;
    }
</script>

<select size=5>
{#each titles as title}
    <option value={title.title}>{title.title}</option>
{/each}
</select>
<br/>
<button on:click={()=>{formVisible=true;}}>+</button>
<button>-</button>
<button>Edit</button>
<br/>

{#if formVisible}
    <h3>Add new row</h3>
    <button on:click={() => {formVisible=false}}>X</button>
    <h4>Title</h4>
    <input bind:value={title} placeholder="Title"/>
    <h4>Dimensions</h4>
    <input type='number' placeholder="Height"/>
    <input type='number' placeholder="Top margin"/>
    <input type='number' placeholder="Bottom margin"/>
    <h4>Y-axis range</h4>
    <input type='number' bind:value={ymin} placeholder="Y-minimum"/>
    <input type='number' bind:value={ymax} placeholder="Y-maximum"/>
    <button on:click={addTitle}>Add</button>
{/if}

<style>
input{
    display: block;
}
</style>
